<?php
/**
 * @author Calcurates Team
 * @copyright Copyright © 2019 Calcurates (https://www.calcurates.com)
 * @license https://opensource.org/licenses/osl-3.0.php Open Software License (OSL 3.0)
 * @package Calcurates_ModuleMagento
 */

namespace Calcurates\ModuleMagento\Api\Catalog;

/**
 * @api
 */
interface CategoryManagementInterface
{
    /**
     * Retrieve list of categories
     *
     * @param int $websiteId
     * @param int $depth
     *
     * @return \Magento\Catalog\Api\Data\CategoryTreeInterface[] containing Tree objects
     * @throws \Magento\Framework\Exception\NoSuchEntityException If ID is not found
     */
    public function getTree($websiteId = null, $depth = null);
}
